
%               _       _   _ 
%    __  _____ | | ___ | |_| |
%    \ \/ / _ \| |/ _ \| __| |
%     >  < (_) | | (_) | |_| |
%    /_/\_\___/|_|\___/ \__|_|
%
% ### viewCode
%
% **Syntax**
%
% ```matlab
% x.viewCode;
% ```
%
%
% **Description**
%
% view the C++ code generated by `xolotl.transpile()`
% that constructs the model and integrates it
%
%
%
%
% See Also:
% xolotl.transpile
% xolotl.compile
% 



function viewCode(self)

h = self.hash;
mexBridge_name = [fullfile(filelib.cachePath('xolotl'),'X_') h '.cpp'];
if exist(mexBridge_name,'file') == 2
	edit(mexBridge_name);
else
	error('No C++ file matching this configuration. Use "transpile"')
end
