// _  _ ____ _    ____ ___ _
//  \/  |  | |    |  |  |  |
// _/\_ |__| |___ |__|  |  |___
//
// generic conductance template
// you can either fill this out yourself
// or use the conductance class within MATLAB
// to auto-generate C++ code 
#pragma once
//inherit conductance class spec
class condName: public conductance {
public:
// specify parameters + initial conditions
condName(double gbar_, double E_, double m_, double h_)
{
gbar = gbar_;
E = E_;
m = m_;
h = h_;
// defaults 
if (isnan(gbar)) { gbar = 0; }
if (isnan (E)) { E = -80; }
p = 4;
q = 0;
}
double m_inf(double V, double Ca);
double h_inf(double V, double Ca);
double tau_m(double V, double Ca);
double tau_h(double V, double Ca);
};
double condName::m_inf(double V, double Ca) {return  1.0/(1.0+exp((V-20.0)/5.0));}
double condName::h_inf(double V, double Ca) {return  1;}
double condName::tau_m(double V, double Ca) {return  0;}
double condName::tau_h(double V, double Ca) {return  0;}
