

``xolotl`` doesn't come with a automatic unit handling system like in ``NEURON``, ``BRIAN``, or in ``Julia``, so you have to pay attention and make sure your parameters are in the right units. The following are default units for various parameters.

## Units of input parameters

| Variable |                       Units |
| -----------------------| ------------|
| Length of compartment          | mm |
| Surface area of compartment    | $mm^2$ |
| Volume of compartment          | $mm^3$ |
| Voltage                          | mV |
| Specific capacitance of membrane | $nF/mm^2$ |
| Specific conductance of channel  | $μS/mm^2$ |
| Synaptic strength                | nS |
| Current injected into cell       | nA |
| Axial resistivity                | MΩ mm |
| Calcium concentration            | μM |
| temperature                      | C |

## Units of outputs 

| Variable | Units | 
| ------------ | ------ |
| Voltage | mV |
| Calcium concentration | μM | 
| Current (density) | $nA/mm^2$ | 
| Current (clamping) | nA | 