function actionPotentialXolotl(currentNeuronA)

disp('Running Exercise 2')


%% create a xolotl object
x = xolotl;

% x.rebase() ;

%% add compartment
x.add('compartment','neuronA','A',0.2)

x.neuronA.add('prinz/NaV','gbar',1000);
x.neuronA.add('prinz/Kd','gbar',1000);
x.neuronA.add('Leak', 'gbar', 1);

try
	x.snapshot('base')
	x.integrate;
	x.reset('base')
catch
	x.download;
    %x.compile;
end

%% explicitly define simulation time and time-step
simDurSec = 1 ;
x.t_end = simDurSec * 1000 ;
plotTimeStep = 0.1 ;
simTimeStep = 0.001 ;
x.dt = plotTimeStep ;
x.sim_dt = simTimeStep ;
xolotolTimeStep = simTimeStep ;

%% create current injection
currentAmp = currentNeuronA ;
currentTimeOnSec = 0.4;
currentDurationSec = 0.01 ;
noiseVal = 1 ;
[noisyCurrInj, pureCurrInj, pureCurrInjDownSample] = makeCurrentStepXolotl(simDurSec, plotTimeStep, currentAmp, currentTimeOnSec, currentDurationSec, xolotolTimeStep, noiseVal) ;

% currentAmp = 0 ;
% currentTimeOnSec = 0.75;
% currentDurationSec = 0.5 ;
% currInj(:,2) = makeCurrentStepXolotl(simDurSec, timeStep, currentAmp, currentTimeOnSec, currentDurationSec, xolotolTimeStep, noiseVal) ;

%% xolotl stuff
x.pref.show_Ca = false ;
x.plot 

%% define current for xolotl
x.I_ext = noisyCurrInj ;
x.pref.use_I_ext = false;

%% call puppeteer (otherwise the user-defined currents will not be used
x.manipulate
% x.manipulate({'neuron.Kd.E', 'neuron.NaV.E'})

%% hide puppeteer...it's too much
x.handles.puppeteer_object.handles.fig.Visible = 'off' ;

%% get data to manually plot
timeC = x.handles.plots.ph.XData' ;
voltage = x.handles.plots.ph.YData' ;

%% get monitor size to resize figure
monitorSize = x.handles.fig.Parent.ScreenSize; 

keep timeC voltage pureCurrInjDownSample monitorSize

% 
close(gcf)
subplot(2,1,1)
    plot(timeC, voltage, 'k', 'linewidth', 2)
    set(gca,'fontsize', 20)
    xlabel('Time (s)', 'FontSize', 24, 'fontweight', 'bold')
    ylabel('Voltage (mV)', 'FontSize', 24, 'fontweight', 'bold')

    %% optimize Y axis
    minYdata = round(min(voltage)/5) *5 ;
    maxYdata = round(max(voltage)/5) *5 ;
    axis([0 1 minYdata-5 maxYdata+5])

subplot(2,1,2)
    plot(timeC, pureCurrInjDownSample, 'k', 'linewidth', 2)
    maxYdata = ceil(max(pureCurrInjDownSample)) ;
    axis([0 1 0 maxYdata+1])    
    set(gca,'fontsize', 20)
    xlabel('Time (s)', 'FontSize', 24, 'fontweight', 'bold')
    ylabel('Current Injection (pA)', 'FontSize', 24, 'fontweight', 'bold')


%% position figure
set(gcf, 'units', 'pixels', 'position', [monitorSize(1), monitorSize(2), monitorSize(3)*0.75, monitorSize(4)*0.75]) ;