function [noisyInjection, pureCurrInj, pureCurrInjDownSample] = makeCurrentStepXolotl(simDurSec, timeStep, currentAmp, currentTimeOnSec, currentDurationSec, xolotolTimeStep, noiseVal)

%%
% ccc
% save('/home/mark/matlab_temp_variables/currinj') ;
% load('/home/mark/matlab_temp_variables/currinj')  ;

%% create time vector for simulation
timeVecSim = (0:(xolotolTimeStep/1000): simDurSec-(xolotolTimeStep/1000))' ;

%% create zero vector for curent injeciton
pureCurrInj = zeros(length(timeVecSim), 1) ;

%% make noisy place holder for current injection vector
noisyBaseline = noiseVal*randn(length(timeVecSim),1);

%% find indices of current on/off
timeInjStart = find(timeVecSim >= currentTimeOnSec, 1) ;
timeInjEnd = find(timeVecSim >= currentTimeOnSec + currentDurationSec, 1) ;

%% fill currInj with user-defined curent amplitude
pureCurrInj(timeInjStart:timeInjEnd) = currentAmp ;

%% add noise
noisyInjection = pureCurrInj + noisyBaseline ;

%% decimate current injection to conform to default xolotl timestep
decimateVal = (timeStep/xolotolTimeStep) ;
% finalCurrentInj = downsample(noisyInjection, decimateVal) ;
% 
% 
pureCurrInjDownSample = downsample(pureCurrInj, decimateVal) ;
% finalTimeVecSim = (0:xolotolTimeStep/1000: simDurSec-(xolotolTimeStep/1000))' ;



