function singleChannelXolotl(numInhibitoryChannels, numExcitatoryChannels)

% disp('Running Exercise 1')

% numInhibitoryChannels = 1
% numExcitatoryChannels =1
currentAmp = 0.25 ;


%% create a xolotl object
x = xolotl;

% x.rebase() ;

%% add compartment
x.add('compartment','neuronA','A',0.2)



x.neuronA.add('prinz/NaV','gbar',1000);
x.neuronA.add('prinz/Kd','gbar',1000);
x.neuronA.add('Leak', 'gbar', 1);
% x.neuron01.add('prinz/CaS','gbar',25);
% x.neuron01.add('prinz/KCa','gbar',50);

try
	x.snapshot('base')
	x.integrate;
	x.reset('base')
catch
	x.download;
end

%% explicitly define simulation time and time-step
simDurSec = 2 ;
x.t_end = simDurSec * 1000 ;
timeStep = 0.001 ;
x.dt = timeStep ;
xolotolTimeStep = 0.1 ;

%% create current injection
inhibCurrentAmp = -currentAmp ;
exciteCurrentAmp = currentAmp ;
currentDurationSec = 0.005 ;
numOpeningsPerChan = 30 ;
currInj = makeCurrent_Channels_Xolotl(simDurSec,timeStep, exciteCurrentAmp, inhibCurrentAmp, numExcitatoryChannels, numInhibitoryChannels, numOpeningsPerChan, currentDurationSec, xolotolTimeStep) ;

%% plot current injection
% plot(currInj)

%% xolotl stuff
x.integrate;
x.pref.show_Ca = false ;
x.plot 


%% define current for xolotl
x.I_ext = currInj ;
x.pref.use_I_ext = false;

%% set neuron's capacitance to 0 (for single channel recordings)
x.neuronA.Cm = 0 ;

%% call puppeteer (otherwise the user-defined currents will not be used
x.manipulate

%% smooth data if sim contains many channels (this is obviously artificial but helps make a teaching point)
if numInhibitoryChannels >49 && numExcitatoryChannels >49
    x.handles.plots.ph.YData = smooth(x.handles.plots.ph.YData, 100) ;
end

%% optimize Y axis
minYdata = round(min(x.handles.plots.ph.YData)/5) *5 ;
maxYdata = round(max(x.handles.plots.ph.YData)/5) *5 ;
x.handles.plots.ph.Parent.YLim = [minYdata-5, maxYdata+5] ;

%% hide puppeteer...it's too much
x.handles.puppeteer_object.handles.fig.Visible = 'off' ;

%% position figure
monitorSize = x.handles.fig.Parent.ScreenSize; 
x.handles.fig.Position = [monitorSize(1), monitorSize(2), monitorSize(3)*0.75, monitorSize(4)*0.75] ;



