function synapseIntegrateXolotl()

% save('/home/mark/matlab_temp_variables/xynXox')
% ccc
% load('/home/mark/matlab_temp_variables/xynXox')

disp('Running Exercise 5')

%% create a xolotl object
x = xolotl;


%% add compartment
x.add('compartment','neuronA','A',0.2)
x.add('compartment','neuronB','A',0.2)
x.add('compartment','neuronC','A',0.2)
x.add('compartment','neuronD','A',0.2)

x.connect('neuronA', 'neuronC', 'AlphaSynapse')
x.connect('neuronB', 'neuronC', 'AlphaSynapse')
x.connect('neuronD', 'neuronA', 'AlphaSynapse')
x.connect('neuronD', 'neuronB', 'AlphaSynapse')

x.neuronC.AlphaSynapseneuronA.E = 0 ;
x.neuronC.AlphaSynapseneuronB.E = -100 ;
x.neuronA.AlphaSynapseneuronD.E = 0 ;
x.neuronB.AlphaSynapseneuronD.E = 0 ;

% x.neuronC.AlphaSynapseneuronA.gmax = exciteGmax ;
% x.neuronC.AlphaSynapseneuronB.gmax = inhibitGmax ;

% x.neuronC.AlphaSynapseneuronA.tau_s = exciteTau ;
% x.neuronC.AlphaSynapseneuronB.tau_s = inhibitTau ;

x.neuronA.add('prinz/NaV','gbar',1000);
x.neuronA.add('prinz/Kd','gbar',1000);
x.neuronA.add('Leak', 'gbar', 1);

x.neuronB.add('prinz/NaV','gbar',1000);
x.neuronB.add('prinz/Kd','gbar',1000);
x.neuronB.add('Leak', 'gbar', 1);

x.neuronC.add('prinz/NaV','gbar',1000);
x.neuronC.add('prinz/Kd','gbar',1000);
x.neuronC.add('Leak', 'gbar', 1);

x.neuronD.add('prinz/NaV','gbar',1000);
x.neuronD.add('prinz/Kd','gbar',1000);
x.neuronD.add('Leak', 'gbar', 1);

try
	x.snapshot('base')
	x.integrate;
	x.reset('base')
catch
	x.download;
end

%% explicitly define simulation time and time-step
simDurSec = 2 ;
x.t_end = simDurSec * 1000 ;
plotTimeStep = 0.1 ;
simTimeStep = 0.01 ;
x.dt = plotTimeStep ;
x.sim_dt = simTimeStep ;
xolotolTimeStep = simTimeStep ;

%% create current injection
currentAmp = 3 ;
currentTimeOnSec = 0.5;
currentDurationSec = 1 ;
noiseVal = 1 ;
[noisyCurrInj(:,1), pureCurrInj, pureCurrInjDownSample] = makeCurrentStepXolotl(simDurSec, plotTimeStep, currentAmp, currentTimeOnSec, currentDurationSec, xolotolTimeStep, noiseVal) ;

currentAmp = 8 ;
currentTimeOnSec = 0.75;
currentDurationSec = 0.5 ;
[noisyCurrInj(:,2), pureCurrInj, pureCurrInjDownSample] = makeCurrentStepXolotl(simDurSec, plotTimeStep, currentAmp, currentTimeOnSec, currentDurationSec, xolotolTimeStep, noiseVal) ;

currentAmp = 0 ;
currentTimeOnSec = 1;
currentDurationSec = 0.5 ;
[noisyCurrInj(:,3), pureCurrInj, pureCurrInjDownSample] = makeCurrentStepXolotl(simDurSec, plotTimeStep, currentAmp, currentTimeOnSec, currentDurationSec, xolotolTimeStep, noiseVal) ;

%% plot current injection
x.neuronC.AlphaSynapseneuronA.tau_s = 5.75 ;
x.neuronC.AlphaSynapseneuronB.gmax = 200 ;
x.neuronC.AlphaSynapseneuronA.gmax = 200 ;
x.neuronB.AlphaSynapseneuronD.gmax = 200 ;
x.neuronA.AlphaSynapseneuronD.gmax = 200 ;

%% xolotl stuff
x.pref.show_Ca = false ;
x.plot 


%% define current for xolotl
% x.I_ext = noisyCurrInj ;
x.pref.use_I_ext = true;

%% call puppeteer (otherwise the user-defined currents will not be used
% x.manipulate
x.manipulate({'I_ext_neuronA', 'I_ext_neuronB', 'I_ext_neuronC', 'I_ext_neuronD', 'neuronC.AlphaSynapseneuronB.gmax', ...
    'neuronC.AlphaSynapseneuronA.gmax', 'neuronB.AlphaSynapseneuronD.gmax', 'neuronA.AlphaSynapseneuronD.gmax'})

%% hide puppeteer...it's too much
% x.handles.puppeteer_object.handles.fig.Visible = 'off' ;

