function synapseXolotl(inhibORexcite, synGmax, synTau, currentNeuronA)

% save('/home/mark/matlab_temp_variables/xynXox')
% ccc
% load('/home/mark/matlab_temp_variables/xynXox')

disp('Running Exercise 4')

%% define sign of synapse
if inhibORexcite == 1 ;
    synapseRevPotential = -100 ;
else
    synapseRevPotential = 0 ;
end

%% create a xolotl object
x = xolotl;

% x.rebase() ;

%% add compartment
x.add('compartment','neuronA','A',0.2)
x.add('compartment','neuronB','A',0.2)

x.connect('neuronA', 'neuronB', 'AlphaSynapse')

x.neuronB.AlphaSynapseneuronA.E = synapseRevPotential ;

x.neuronB.AlphaSynapseneuronA.gmax = synGmax ;


x.neuronB.AlphaSynapseneuronA.tau_s = synTau ;

x.neuronA.add('prinz/NaV','gbar',1000);
x.neuronA.add('prinz/Kd','gbar',1000);
x.neuronA.add('Leak', 'gbar', 1);

x.neuronB.add('prinz/NaV','gbar',1000);
x.neuronB.add('prinz/Kd','gbar',1000);
x.neuronB.add('Leak', 'gbar', 1);



try
	x.snapshot('base')
	x.integrate;
	x.reset('base')
catch
	x.download;
end

%% explicitly define simulation time and time-step
simDurSec = 2 ;
x.t_end = simDurSec * 1000 ;
plotTimeStep = 0.1 ;
simTimeStep = 0.001 ;
x.dt = plotTimeStep ;
x.sim_dt = simTimeStep ;
xolotolTimeStep = simTimeStep ;

%% create current injection
currentAmp = currentNeuronA ;
currentTimeOnSec = 0.5;
currentDurationSec = 1 ;
noiseVal = 1 ;
[noisyCurrInj(:,1), pureCurrInj, pureCurrInjDownSample] = makeCurrentStepXolotl(simDurSec, plotTimeStep, currentAmp, currentTimeOnSec, currentDurationSec, xolotolTimeStep, noiseVal) ;

currentAmp = 0 ;
currentTimeOnSec = 0.75;
currentDurationSec = 0.5 ;
[noisyCurrInj(:,2), pureCurrInj, pureCurrInjDownSample] = makeCurrentStepXolotl(simDurSec, plotTimeStep, currentAmp, currentTimeOnSec, currentDurationSec, xolotolTimeStep, noiseVal) ;

%% xolotl stuff
x.pref.show_Ca = false ;
x.plot 

%% define current for xolotl
x.I_ext = noisyCurrInj ;
x.pref.use_I_ext = false;

%% call puppeteer (otherwise the user-defined currents will not be used
% x.manipulate
x.manipulate({'neuronB.AlphaSynapseneuronA.E'})
% x.handles.puppeteer_object.Pstrings(1).Lower = -100 ;
% x.handles.puppeteer_object.Pstrings(1).Upper = 0 ;

%% hide puppeteer...it's too much
% x.handles.puppeteer_object.handles.fig.Visible = 'off' ;

%% position figure
monitorSize = x.handles.fig.Parent.ScreenSize; 
x.handles.fig.Position = [monitorSize(1), monitorSize(2), monitorSize(3)*0.75, monitorSize(4)*0.75] ;

