% function synapseXolotl(inhibORexcite, synGmax, synTau, currentNeuronA)

disp('Running Exercise 2')

inhibORexcite = 1 ;
synGmax = 1000 ;
synTau = 1 ;
currentNeuronA = 100 ;

%% define sign of synapse
if inhibORexcite == 1 ;
    synapseRevPotential = -100 ;
else
    synapseRevPotential = 0 ;
end

%% create a xolotl object
x = xolotl;

% x.rebase() ;

%% add compartment
x.add('compartment','neuronA','A',0.2)
x.add('compartment','neuronB','A',0.2)

x.connect('neuronA', 'neuronB', 'AlphaSynapse')
% x.connect('neuronB', 'neuronA', 'AlphaSynapse')

x.neuronB.AlphaSynapseneuronA.E = synapseRevPotential ;
x.neuronB.AlphaSynapseneuronA.gmax = synGmax ;
x.neuronB.AlphaSynapseneuronA.tau_s = synTau ;

% x.neuronA.AlphaSynapseneuronB.E = synapseRevPotential ;
% x.neuronA.AlphaSynapseneuronB.gmax = synGmax ;
% x.neuronA.AlphaSynapseneuronB.tau_s = synTau ;

x.neuronA.add('prinz/NaV','gbar',1000);
x.neuronA.add('prinz/Kd','gbar',1000);
x.neuronA.add('Leak', 'gbar', 1);
x.neuronA.add('destexhe/CaT', 'gbar', 8);

x.neuronB.add('hodgkin-huxley/NaV','gbar',1000);
x.neuronB.add('hodgkin-huxley/Kd','gbar',1000);
x.neuronB.add('Leak', 'gbar', 1);
x.neuronB.add('destexhe/CaT', 'gbar', 7);
x.neuronB.add('generic/HCurrent', 'gbar', 4);


x.neuronB.V = -30; % mV


try
	x.snapshot('base')
	x.integrate;
	x.reset('base')
catch
	%x.download;
    x.compile;
end

%% explicitly define simulation time and time-step
simDurSec = 2 ;
x.t_end = simDurSec * 1000 ;
timeStep = 0.001 ;
x.dt = timeStep ;
xolotolTimeStep = 0.1 ;

%% create current injection
currentAmp = currentNeuronA ;
currentTimeOnSec = 0.5;
currentDurationSec = 0.1 ;
noiseVal = 1 ;
currInj(:,1) = makeCurrentStepXolotl(simDurSec, timeStep, currentAmp, currentTimeOnSec, currentDurationSec, xolotolTimeStep, noiseVal) ;

currentAmp = 0 ;
currentTimeOnSec = 0.75;
currentDurationSec = 0.5 ;
currInj(:,2) = makeCurrentStepXolotl(simDurSec, timeStep, currentAmp, currentTimeOnSec, currentDurationSec, xolotolTimeStep, noiseVal) ;

%% xolotl stuff
x.pref.show_Ca = false ;
x.plot 

%% define current for xolotl
x.I_ext = currInj ;
x.pref.use_I_ext = false;

%% call puppeteer (otherwise the user-defined currents will not be used
x.manipulate

%% hide puppeteer...it's too much
x.handles.puppeteer_object.handles.fig.Visible = 'off' ;

